This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 520601 - Changing default in boot loader operating list twice causes anaconda crash
Changing default in boot loader operating list twice causes anaconda crash
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-09-01 08:23 EDT by Robert Scheck
Modified: 2010-01-20 13:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 13:50:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2009-09-01 08:23:42 EDT
Description of problem:
Assume the screenshot from http://docs.fedoraproject.org/install-guide/f11/
en-US/html/images/x86-bootloader/x86-bootloader.png with the difference, that 
there are simply two entries in the list, Fedora and Windows. If you change
the default (Fedora) to the "Other" (Windows) and then back, this won't work.
If you click to the "Edit" button behind "Fedora" and set there the tick for
default boot target and "OK", Anaconda simply crashes. Note that no LVM setup
was in use, just plain partitioning with crypto partitions and /boot.

Version-Release number of selected component (if applicable):
Anaconda of Fedora 11 (i386) final via Netinstall.

How reproducible:
Everytime, see above.

Actual results:
Changing default in boot loader operating list twice causes anaconda crash

Expected results:
No crash, everything working, switching default operating system how often I
ever want and via both ways (list and edit button).
Comment 1 Joel Andres Granados 2009-09-02 08:40:04 EDT
I recently tested this functionality with anaconda rawhide and it worked for me.  Can you pls test with the latest anaconda (12-18 or greater) and confirm this behavior?
Comment 2 Robert Scheck 2009-09-02 08:45:11 EDT
If you could try to reproduce it with Fedora 11 as released, you will see
very fast whether it's fixed in Rawhide or not...
Comment 3 Chris Lumens 2009-09-02 10:14:18 EDT
Not really, no.  We've got a related bug about a crash on the bootloader screen that we've never been able to reproduce on F11 or any rawhide, so it's worth you also testing it out and seeing what the status is.
Comment 4 Joel Andres Granados 2009-09-03 04:37:35 EDT
To add to comment #3.  Some bugs are really hard to reproduce because they are related to very specific Hardware configurations or very specific states.  Since we don't have your exact hardware nor your configuration, we might not see what you see.  This is also the reason your feedback is so important to actually get this solved.

Note You need to log in before you can comment on or make changes to this bug.